Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.ee
Class JDBCManagedConnectionFactory

    java.lang.Object
      |
      +--com.solarmetric.rd.conf.AbstractConfiguration
            |
            +--com.solarmetric.rd.conf.SimpleConfiguration
                  |
                  +--com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration
                        |
                        +--com.solarmetric.rd.kodo.impl.jdbc.conf.SimpleJDBCConfiguration
                              |
                              +--com.solarmetric.rd.kodo.impl.jdbc.ee.JDBCManagedConnectionFactory

All Implemented Interfaces:
  java.beans.BeanInfo, Configuration, java.io.Externalizable, JDBCConfiguration, JDOConfiguration, JDOManagedConnectionFactory, javax.resource.spi.ManagedConnectionFactory, java.io.Serializable

public class JDBCManagedConnectionFactory
extends SimpleJDBCConfiguration
implements JDOManagedConnectionFactory

A mostly no-op managed connection factory that exists for the convenient obtaining of a ConnectionFactory.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.conf.SimpleJDBCConfiguration
`dbdictionary, jdbcListeners, mappingFactory, schemaFactory, sequenceFactory, updateManager`

Fields inherited from class com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration
`BASIC_OPTION, classResolver, connectionFactory, connectionFactory2, dataCache, EXPERT_OPTION, filterListeners, license, managedRuntime, metaRepos, proxyManager, TYPE_CONNECTING, TYPE_GENERAL, TYPE_JDO, TYPE_OPTIMIZATION`

Fields inherited from class com.solarmetric.rd.conf.SimpleConfiguration
`logFactory`

Fields inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_RUNTIME`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Fields inherited from interface com.solarmetric.rd.kodo.impl.jdbc.conf.JDBCConfiguration
`LOG_JDBC, LOG_SCHEMA, LOG_SQL`

Constructor Summary
`JDBCManagedConnectionFactory()`

Method Summary
`java.lang.Object` | `createConnectionFactory()`
`java.lang.Object` | `createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)`
`javax.resource.spi.ManagedConnection` | `createManagedConnection(javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`java.io.PrintWriter` | `getLogWriter()`
`javax.resource.spi.ManagedConnection` | `matchManagedConnections(java.util.Set connections, javax.security.auth.Subject subject, javax.resource.spi.ConnectionRequestInfo cri)`
`void` | `setLogWriter(java.io.PrintWriter logWriter)`
`void` | `write(java.io.PrintStream out)`

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.conf.SimpleJDBCConfiguration
`disableConnectionPooling, free, getClassIndicatorType, getConnectionFactory, getDBDictionary, getDBDictionaryClass, getDBDictionaryProperties, getDefaultPersistenceManagerFactoryClass, getJDBCListenerClasses, getJDBCListeners, getKnownConnectionURLList, getKnownDriverList, getLicense, getMappingFactory, getMappingFactoryClass, getMappingFactoryProperties, getMappingRepository, getMetaDataRepository, getSchemaFactory, getSchemaFactoryClass, getSchemaFactoryProperties, getSchemas, getSequenceFactory, getSequenceFactoryClass, getSequenceFactoryProperties, getSubclassMappingType, getUpdateManager, getUpdateManagerClass, getUpdateManagerProperties, getUseSQL92Joins, getVersionIndicatorType, setClassIndicatorType, setConnectionFactory, setDBDictionary, setDBDictionaryClass, setDBDictionaryProperties, setJDBCListenerClasses, setJDBCListeners, setMappingFactory, setMappingFactoryClass, setMappingFactoryProperties, setSchemaFactory, setSchemaFactoryClass, setSchemaFactoryProperties, setSchemas, setSequenceFactory, setSequenceFactoryClass, setSequenceFactoryProperties, setSubclassMappingType, setUpdateManager, setUpdateManagerClass, setUpdateManagerProperties, setUseSQL92Joins, setUseSQL92Joins, setVersionIndicatorType`

Methods inherited from class com.solarmetric.rd.kodo.conf.SimpleJDOConfiguration
`checkFrozen, getClassResolver, getClassResolverClass, getClassResolverProperties, getConnectionDriverName, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getFetchBatchSize, getFetchThreshold, getFilterListenerClasses, getFilterListeners, getIgnoreCache, getLicenseKey, getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getProductName, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getRestoreValues, getRetainValues, getUseManagedRuntime, setClassResolver, setClassResolverClass, setClassResolverProperties, setConnectionDriverName, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setFetchBatchSize, setFetchBatchSize, setFetchThreshold, setFetchThreshold, setFilterListenerClasses, setFilterListeners, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseManagedRuntime, setUseManagedRuntime`

Methods inherited from class com.solarmetric.rd.conf.SimpleConfiguration
`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getLog, getLogFactory, getValues, setLog, setLogFactory`

Methods inherited from class com.solarmetric.rd.conf.AbstractConfiguration
`equals, fromProperties, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, hashCode, isFrozen, loadDefaults, readExternal, setFrozen, setProperties, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.conf.JDOConfiguration
`getClassResolver, getClassResolverClass, getClassResolverProperties, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionFactoryProperties, getConnectionPassword, getConnectionProperties, getConnectionURL, getConnectionUserName, getDataCache, getDataCacheClass, getDataCacheProperties, getFetchBatchSize, getFetchThreshold, getFilterListenerClasses, getFilterListeners, getIgnoreCache, getLicense, getLicenseKey, getManagedRuntime, getManagedRuntimeClass, getManagedRuntimeProperties, getMetaDataRepository, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManagerClass, getPersistenceManagerFactoryClass, getPersistenceManagerProperties, getProxyManager, getProxyManagerClass, getProxyManagerProperties, getRestoreValues, getRetainValues, getUseManagedRuntime, setClassResolver, setClassResolverClass, setClassResolverProperties, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionFactoryProperties, setConnectionPassword, setConnectionProperties, setConnectionURL, setConnectionUserName, setDataCache, setDataCacheClass, setDataCacheProperties, setFetchBatchSize, setFetchBatchSize, setFetchThreshold, setFetchThreshold, setFilterListenerClasses, setFilterListeners, setIgnoreCache, setIgnoreCache, setLicenseKey, setManagedRuntime, setManagedRuntimeClass, setManagedRuntimeProperties, setMetaDataRepository, setMultithreaded, setMultithreaded, setNontransactionalRead, setNontransactionalRead, setNontransactionalWrite, setNontransactionalWrite, setOptimistic, setOptimistic, setPersistenceManagerClass, setPersistenceManagerFactoryClass, setPersistenceManagerProperties, setProxyManager, setProxyManagerClass, setProxyManagerProperties, setRestoreValues, setRestoreValues, setRetainValues, setRetainValues, setUseManagedRuntime, setUseManagedRuntime`

Methods inherited from interface com.solarmetric.rd.conf.Configuration
`free, fromProperties, getLog, getLogFactory, isFrozen, setFrozen, setLog, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from interface javax.resource.spi.ManagedConnectionFactory
`equals, hashCode`

Constructor Detail

### JDBCManagedConnectionFactory

    public JDBCManagedConnectionFactory()

Method Detail

### createConnectionFactory

    public java.lang.Object createConnectionFactory(javax.resource.spi.ConnectionManager cxManager)
                                             throws javax.resource.ResourceException

  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
    `javax.resource.ResourceException`

### createConnectionFactory

    public java.lang.Object createConnectionFactory()
                                             throws javax.resource.ResourceException

  Specified by:
    `createConnectionFactory` in interface `javax.resource.spi.ManagedConnectionFactory`
    `javax.resource.ResourceException`

### createManagedConnection

    public javax.resource.spi.ManagedConnection createManagedConnection(javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cri)
                                                                 throws javax.resource.NotSupportedException,
                                                                        javax.resource.ResourceException

  Specified by:
    `createManagedConnection` in interface `javax.resource.spi.ManagedConnectionFactory`
    `javax.resource.NotSupportedException`
    `javax.resource.ResourceException`

### matchManagedConnections

    public javax.resource.spi.ManagedConnection matchManagedConnections(java.util.Set connections,
                                                                        javax.security.auth.Subject subject,
                                                                        javax.resource.spi.ConnectionRequestInfo cri)
                                                                 throws javax.resource.NotSupportedException,
                                                                        javax.resource.ResourceException

  Specified by:
    `matchManagedConnections` in interface `javax.resource.spi.ManagedConnectionFactory`
    `javax.resource.NotSupportedException`
    `javax.resource.ResourceException`

### write

    public void write(java.io.PrintStream out)

### setLogWriter

    public void setLogWriter(java.io.PrintWriter logWriter)

  Specified by:
    `setLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`

### getLogWriter

    public java.io.PrintWriter getLogWriter()

  Specified by:
    `getLogWriter` in interface `javax.resource.spi.ManagedConnectionFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.